#ecology_content {
    /*height: calc(100vh - 70px);*/
    height: 100vh;
    color: #f6f1f5;
    font-size: 1.2em;
}

#map {
    width: 100%;
    height: 100%;
    position: relative;
    background: #999;
    overflow: hidden;
}

.no-data-chart {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.no-data-chart .text {
    font: italic bold 4em sans-serif;
    color: #f6cc7e;
}

.ol-popup .content::-webkit-scrollbar, .calc::-webkit-scrollbar,
.area_ul::-webkit-scrollbar {
    /*滚动条整体样式*/
    width: 6px;
    /*高宽分别对应横竖滚动条的尺寸*/
    height: 1px;
}

.ol-popup .content::-webkit-scrollbar-thumb, .calc::-webkit-scrollbar-thumb,
.area_ul::-webkit-scrollbar-thumb {
    /*滚动条里面小方块*/
    border-radius: 10px;
    /* -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2); */
    background: #31df79;
}

.ol-popup .content::-webkit-scrollbar-track, .calc::-webkit-scrollbar-track ,
.area_ul::-webkit-scrollbar-track {
    /*滚动条里面轨道*/
    /* -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2); */
    border-radius: 10px;
    background: transparent;
}


/* 地图控件 */

.mouse-position-wrapper {
    height: 20px;
    color: #000;
    position: absolute;
    right: 71px;
    bottom: 10px;
    z-index: 2;
}

.custom-mouse-position {
    background: #f6f1f5;
    padding: 0 10px;
    border-radius: 2px;
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.05);
}

.ol-scale-line {
    background: #f6f1f5;
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.05);
    border-radius: 2px;
    padding: 2px;
    left: 22px;
    bottom: 20px;
}

.ol-scale-line-inner {
    border: 1px solid #b1b1b1;
    border-top: none;
    margin: 0px;
    color: #666;
    height: 20px;
    line-height: 20px;
}

.ol-zoom {
    bottom: 47px;
    right: 15px;
    top: inherit;
    left: inherit;
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.05);
    display: none;
}

.ol-zoom .ol-zoom-in,
.ol-zoom .ol-zoom-out,
.ol-full-screen button {
    color: rgb(105, 93, 93);
    font-weight: bold;
    font-size: 1.3em;
    height: 1.4em;
    width: 1.4em;
    line-height: 0.4em;
    background-color: rgb(255, 255, 255);
    /* margin: 2px 0px; */
    border-width: initial;
    border-style: none;
    border-color: initial;
    border-image: initial;
}

.ol-full-screen {
    top: inherit;
    bottom: 10px;
    right: 15px;
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.05);
}

.ol-control {
    background-color: rgba(255, 255, 255, 0);
    padding: 0px;
}

.ol-control:hover {
    background-color: rgba(255, 255, 255, 0);
}

.ol-control button:focus,
.ol-control button:hover {
    background-color: rgba(255, 255, 255, 1);
    color: black;
}

#zoom_number {
    right: 16px !important;
    bottom: 37px !important;
}


/* 地图控件 结束 */


/* 信息弹出框 */

.ol-popup {
    position: absolute;
    /* background-color: rgba(3, 25, 84, .7); */
    background-image: linear-gradient(180deg, rgb(3 197 189 / 0.9), rgb(103 175 50 / 0.9));
    -webkit-filter: drop-shadow(0 1px 4px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0 1px 4px rgba(0, 0, 0, 0.2));
    padding: 6px 10px;
    border-radius: 1px;
    bottom: 12px;
    left: -50px;
    min-width: 180px;
    color: #f6f1f5;
}

.ol-popup:after,
.ol-popup:before {
    top: 100%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}

.ol-popup:after {
    border-top-color: rgb(103 175 50 / 0.9);
    border-width: 10px;
    left: 48px;
    margin-left: -10px;
}

.ol-popup:before {
    border-width: 11px;
    left: 48px;
    margin-left: -11px;
}

.ol-popup-closer {
    text-decoration: none;
    position: absolute;
    top: 8px;
    right: 12px;
    color: #f6f1f5;
    font-size: 12px;
}

.ol-popup-closer:after {
    content: "✖";
}

.ol-popup .title {
    font-size: 15px;
    line-height: 1;
    border-bottom: 1px solid #c9cb33;
    padding: 4px 1px 6px;
    margin-bottom: 4px;
}

.ol-popup .content {
    max-height: 220px;
    overflow-y: auto;
    overflow-x: hidden;
}

.ol-popup .info {
    padding: 2px 0;
    font-weight: 200;
    letter-spacing: 0.5px;
    font-size: 13px;
    /* word-break: break-all; */
    min-width: 200px;
}

.ol-popup .info .key {
    width: 70px;
    display: inline-block;
    vertical-align: top;
}

.ol-popup .info .val {
    width: 122px;
    display: inline-block;
}


/* 信息弹出框 结束 */

.map-panel {
    width: 500px;
    padding: 10px;
    color: #f6f1f5;
    border: 1px solid #c9cb33;
    background: rgba(23, 51, 116, .8);
    /* background: rgb(70 134 95 / 85%); */
    /*rgb(77 162 0 / 77%)*/
    /* background-image: linear-gradient(185deg, rgb(3 197 189 / 70%), rgb(103 175 50 / 0.7)); */
    box-shadow: 0 0 4px rgb(0 0 0 / 75%);
    position: absolute;
    z-index: 2;
}

.map-panel > .title {
    height: 33px;
    line-height: 23px;
    font-size: 1.2em;
    font-weight: bold;
    /*color: #01FFFF;
    border-bottom: 1px solid #4463AE;*/
    color: #fbff00;
    border-bottom: 1px solid #c9cb33;
    position: relative;
}

.map-panel > .title > span {
    font-size: 16px;
    position: absolute;
    right: 8px;
    top: 3px;
    cursor: pointer;
}

.map-panel > .content {
    /* height: 320px; */
    height: 240px;
}

.map-panel .nav-tabs {
    /*border-bottom: 1px solid #4463AE;*/
    border-bottom: 1px solid #c9cb33;
}

.map-panel .nav-tabs > li:first-of-type {
    margin-right: 35px;
}

.map-panel .nav-tabs > li > a {
    border: none;
    color: #f6f1f5;
    font-size: 1.2em;
    line-height: 1;
    padding-top: 4px;
    font-weight: 800;
}

.map-panel .nav-tabs > li.active > a,
.map-panel .nav-tabs > li.active > a:focus,
.map-panel .nav-tabs > li.active > a:hover {
    background-color: transparent;
    border: none;
    /*border-bottom: 2px solid #01FFFF;*/
    /*color: #01FFFF;*/
    border-bottom: 2px solid #fbff00;
    color: #fbff00;
    cursor: pointer;
}

.map-panel .nav-tabs > li > a:hover {
    background-color: transparent;
    color: #01FFFF;
}


/* 区域选取 */

.area_quick {
    top: 10px;
    right: 20px;
    width: auto;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    cursor: pointer;
    border-radius: 2px;
    color: #fbff00;
    border: 1px solid #c9cb33;
    transition: .3s;
    display: none;
}

.area_quick i {
    font-size: 15px;
}

.area_quick:hover {
    background: rgba(70, 134, 95, 1);
}

.area {
    top: 10px;
    right: 20px;
}

.area .return_btn,
.area .shrink_btn {
    position: absolute;
    right: 5px;
    top: 0px;
    cursor: pointer;
    width: 40px;
    height: 40px;
    line-height: 45px;
    font-size: 18px;
    text-align: center;
    color: #fbff00;
}

.area .return_btn {
    right: 42px;
    top: 0px;
    font-size: 15px;
    line-height: 42px;
    display: none;
}

.area .tab-pane {
    padding: 8px 0 0;
}

.area .area_ul {
    display: flex;
    flex-wrap: wrap;
    /* min-height: 96px; */
    height: 96px;
    overflow: auto;
}

.area .area_ul .area_name {
    width: 25%;
    line-height: 32px;
    font-size: 14px;
    cursor: pointer;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    transition: 0.5s;
}

.area .area_ul .area_name.active {
    color: #fbff00;
}

.area .area_ul .area_name:hover {
    color: #fbff00;
}


/* 统计分析 */

.statistics_quick {
    top: 180px;
    right: 20px;
    width: auto;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    cursor: pointer;
    border-radius: 2px;
    color: #fbff00;
    border: 1px solid #c9cb33;
    transition: .3s;
    display: none;
}

.statistics_quick i {
    font-size: 15px;
}

.statistics_quick:hover {
    background: rgba(70, 134, 95, 1);
}

.statistics {
    top: 180px;
    right: 20px;
    display: none;
}

.statistics .filter_group {
    position: absolute;
    top: -3px;
    left: 80px;
}

.statistics .filter_group button {
    background: transparent !important;
    border: 1px solid #c9cb33 !important;
    border-radius: 1px;
    box-shadow: none !important;
    color: #f6f1f5 !important;
    padding: 4px 8px;
    line-height: 18px;
    font-size: 13px;
}

.statistics .filter_group button > span:first-of-type {
    line-height: 1;
    display: inline-block;
    vertical-align: middle;
}

.statistics .filter_group button > span:last-of-type {
    margin-left: 4px;
}

.statistics .filter_group ul {
    background: rgba(23, 51, 116, .8);
    /* background-image: linear-gradient(200deg, rgb(3 197 189 / 0.9), rgb(103 175 50 / 0.9)); */
    /* border: 1px solid #006CFF; */
    border: 1px solid #c9cb33;
    border-radius: 2px;
    padding: 1px 0px;
    min-width: auto;
}

.statistics .filter_group ul li > a {
    color: #f6f1f5;
    font-size: 13px;
    padding: 3px 14px;
    transition: .3s;
}

.statistics .filter_group ul li > a:hover {
    /* background-color: #a2f85485; */
    background: rgba(23, 51, 116, .8);
    color: #f1fb07;
}

.statistics .func_filter {
    left: 167px;
}


/* .statistics .filter_ul {
    display: inline-block;
    line-height: 9px;
    margin-left: 18px;
}

.statistics .grass_filter {
    color: #f6f1f5;
    float: left;
    font-size: 13px;
    margin-right: 12px;
}

.statistics .grass_filter a {
    color: #f6f1f5;
    transition: .3s;
}

.statistics .grass_filter.on a,
.statistics .grass_filter a:hover {
    color: rgba(1, 255, 255, .8);
} */

#stat_chart {
    width: 100%;
    height: 100%;
}

#area_chart {
    width: 100%;
    height: 240px;
}


/* 统计分析2 */

.sub_stat_quick {
    top: 490px;
    right: 20px;
    width: auto;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    cursor: pointer;
    border-radius: 2px;
    color: #fbff00;
    border: 1px solid #c9cb33;
    transition: .3s;
    display: none;
}

.sub_stat_quick i {
    font-size: 15px;
}

.sub_stat_quick:hover {
    background: rgba(70, 134, 95, 1);
}

.sub_stat {
    /* top: 208px;
    left: 22px;
    width: 401px; */
    top: 490px;
    right: 20px;
    width: 500px;
    z-index: 3;
    display: none;
}

.sub_stat .content {
    /* height: 280px; */
    height: 214px;
    position: relative;
}

#sub_stat_chart {
    width: 100%;
    height: 100%;
    /* height: calc(100% - 25px); */
}

#sanHua_stat_chart {
    width: 100%;
    height: 95%;
    /* height: calc(100% - 25px); */
}

.sub_stat .chart_btn {
    border: 1px solid #27befd;
    width: 30px;
    text-align: center;
    border-radius: 2px;
    font-size: 16px;
    line-height: 1;
    padding: 5px 0;
    color: #01FFFF;
    margin-bottom: 8px;
    cursor: pointer;
    transition: .3s;
}

.sub_stat .chart_btn:not(.disabled):hover {
    background: rgba(16, 36, 83, .5);
}

.sub_stat .chart_btn.disabled {
    color: #b3b3b3;
    border-color: #b3b3b3;
    cursor: not-allowed;
}

.sub_stat .charet_btn_group {
    position: absolute;
    right: 10px;
    top: 100px;
    text-align: right;
}

/*三化面积下穿统计分析*/
.sanHua_stat {
    /* top: 208px;
    left: 22px;
    width: 401px; */
    top: 250px;
    right: 20px;
    width: 500px;
    z-index: 3;
    display: none;
}

.sanHua_stat .content {
    /* height: 280px; */
    height: 214px;
    position: relative;
}

#shanHua_stat_chart {
    width: 100%;
    height: 100%;
    /* height: calc(100% - 25px); */
}

.sanHua_stat .chart_btn {
    border: 1px solid #27befd;
    width: 30px;
    text-align: center;
    border-radius: 2px;
    font-size: 16px;
    line-height: 1;
    padding: 5px 0;
    color: #01FFFF;
    margin-bottom: 8px;
    cursor: pointer;
    transition: .3s;
}

.sanHua_stat .chart_btn:not(.disabled):hover {
    background: rgba(16, 36, 83, .5);
}

.sanHua_stat .chart_btn.disabled {
    color: #b3b3b3;
    border-color: #b3b3b3;
    cursor: not-allowed;
}

.sanHua_stat .charet_btn_group {
    position: absolute;
    right: 10px;
    top: 100px;
    text-align: right;
}


/* 面积分析 */

.area_stat_quick {
    top: 180px;
    left: 354px;
    width: auto;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    cursor: pointer;
    border-radius: 2px;
    color: #fbff00;
    border: 1px solid #c9cb33;
    transition: .3s;
    display: none;
}

.area_stat_quick i {
    font-size: 15px;
}

.area_stat_quick:hover {
    background: rgba(70, 134, 95, 1);
}

.area_stat {
    top: 180px;
    left: 22px;
    width: 376px;
    height: 300px;
    z-index: 3;
    display: none;
}

.area_stat > .content {
    height: calc(100% - 33px);
}

.area_stat > .content > p {
    color: #49ed5e;
    font-size: 12px;
    position: absolute;
    right: 7px;
    top: 10px;
}

#area_stat_chart {
    width: 100%;
    height: 100%;
}


.sanhua_stat_quick {
    top: 180px;
    left: 354px;
    width: auto;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    cursor: pointer;
    border-radius: 2px;
    color: #fbff00;
    border: 1px solid #c9cb33;
    transition: .3s;
    display: none;
}

.sanhua_stat_quick i {
    font-size: 15px;
}

.sanhua_stat_quick:hover {
    background: rgba(70, 134, 95, 1);
}

.sub_sanhua_stat_quick {
    top: 250px;
    right: 25px;
    width: auto;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    cursor: pointer;
    border-radius: 2px;
    color: #fbff00;
    border: 1px solid #c9cb33;
    transition: .3s;
    display: none;
}

.sub_sanhua_stat_quick i {
    font-size: 15px;
}

.sub_sanhua_stat_quick:hover {
    background: rgba(70, 134, 95, 1);
}

.area_sanHua {
    top: 180px;
    left: 22px;
    width: 376px;
    height: 350px;
    z-index: 3;
    display: none;
}

.area_sanHua ._select_button {
    display: flex;
    height: 30px;
    margin: 10px 0;
}

._select_button ._button {
    margin-right: 5px;
    flex: 1;
    justify-content: center;
    display: flex;
    height: 95%;
}

._select_button ._button span {
    padding: 5px;
    justify-content: center;
    align-items: center;
    font-size: 15px;
    border: 1px solid #c9cb33;
    border-radius: 2px;
    transition: 0.3s;
    cursor: pointer;
}

._select_button ._button span:hover {
    background: #a2f85485;
    color: #fbff00;
    border-color: #fbff00;
    font-size: 1em;
}

._select_button ._button span.active {
    background: #a2f85485;
    color: #fbff00;
    border-color: #fbff00;
    font-size: 1em;
}

/* 面积统计 */

.sub_area_stat_quick {
    top: 208px;
    left: 370px;
    width: auto;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    cursor: pointer;
    border-radius: 2px;
    color: #fbff00;
    border: 1px solid #c9cb33;
    transition: .3s;
    display: none;
}

.sub_area_stat_quick i {
    font-size: 15px;
}

.sub_area_stat_quick:hover {
    background: rgba(70, 134, 95, 1);
}

.sub_area_stat {
    top: 208px;
    left: 22px;
    z-index: 3;
    width: 401px;
    display: none;
}

.sub_area_stat .content {
    height: 280px;
    position: relative;
}

.sub_area_stat .total_area {
    position: absolute;
    top: 45px;
    right: 18px;
    font-size: 12px;
    color: #49ed5e;
}

.sub_area_stat .total_area b {
    margin: 0 2px;
    font-weight: 400;
}

#sub_area_stat_chart {
    width: 100%;
    height: 100%
}

/*下级面积堆叠统计*/
.sub_area_stack_stat_quick {
    top: 208px;
    left: 370px;
    width: auto;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    cursor: pointer;
    border-radius: 2px;
    color: #fbff00;
    border: 1px solid #c9cb33;
    transition: .3s;
    display: none;
}

.sub_area_stack_stat_quick i {
    font-size: 15px;
}

.sub_area_stack_stat_quick:hover {
    background: rgba(70, 134, 95, 1);
}

.sub_area_stack_stat {
    top: 208px;
    left: 22px;
    z-index: 3;
    width: 401px;
    display: none;
}

.sub_area_stack_stat .content {
    height: 280px;
    position: relative;
}

.sub_area_stack_stat .total_area {
    position: absolute;
    top: 45px;
    right: 18px;
    font-size: 0.8em;
    color: #49ed5e;
}

.sub_area_stack_stat .detail_area {
    position: absolute;
    top: 30px;
    right: -5px;
    font-size: 0.75em;
    color: #49ed5e;
}

.sub_area_stack_stat .total_area b {
    margin: 0 2px;
    font-weight: 400;
}

#sub_area_stack_stat_chart {
    width: 100%;
    height: 100%;
}

/* 河湖分布统计相关 */
.distribution_of_lakes_stat_quick {
    top: 208px;
    right: 22px;
    width: auto;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    cursor: pointer;
    border-radius: 2px;
    color: #fbff00;
    border: 1px solid #c9cb33;
    transition: .3s;
    display: none;
}

.distribution_of_lakes_stat_quick i {
    font-size: 15px;
}

.distribution_of_lakes_stat_quick:hover {
    background: rgba(70, 134, 95, 1);
}

.distribution_of_lakes_stat {
    top: 208px;
    right: 22px;
    z-index: 3;
    /* width: 401px; */
    display: none;
}

.distribution_of_lakes_stat .content {
    height: 280px;
    position: relative;
}

#distribution_of_lakes_stat_chart {
    width: 100%;
    height: 100%
}

/*三化面积分析*/
#area_stat_sanHuaChart {
    width: 100%;
    height: 100%;
}

/* 产量分析统计 */

.sub_yield_stat_quick {
    top: 208px;
    right: 22px;
    width: auto;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    cursor: pointer;
    border-radius: 2px;
    color: #fbff00;
    border: 1px solid #c9cb33;
    transition: .3s;
    display: none;
}

.sub_yield_stat_quick i {
    font-size: 15px;
}

.sub_yield_stat_quick:hover {
    background: rgba(70, 134, 95, 1);
}

.sub_yield_stat {
    top: 208px;
    right: 22px;
    z-index: 3;
    display: none;
}

.sub_yield_stat .content {
    height: 280px;
    position: relative;
}

.sub_yield_stat .total_yield {
    position: absolute;
    top: 45px;
    right: 18px;
    font-size: 12px;
    color: #49ed5e;
}

.sub_yield_stat .total_yield b {
    margin: 0 2px;
    font-weight: 400;
}

#sub_yield_stat_chart {
    width: 100%;
    height: 100%;
}


/* 应用选取 */

.calc {
    top: 10px;
    left: 22px;
    width: auto;
    height: 165px;
    padding: 0px;
    color: #f6f1f5;
    overflow-y: scroll;
    border: 1px solid #c9cb33;
    box-shadow: 0 0 1px rgba(23, 51, 116, .8);
}

.calc::-webkit-scrollbar {
    width: 6px;
    height: 100%;
}

.calc::-webkit-scrollbar:hover {
    cursor: pointer;
}

.calc::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background: #31df79;
}

.calc > ul {
    display: flex;
    flex-wrap: wrap;
    width: 380px;
    margin-bottom: 7px;
}

.calc .app {
    color: #f6f1f5;
    /* font-size: 14px; */
    line-height: 42px;
    text-align: center;
    cursor: pointer;
    border-radius: 2px;
    border: 1px solid #c9cb33;
    box-shadow: 0 0 1px rgba(23, 51, 116, .8);
    transition: .3s;
    width: calc(25% - 10px);
    margin: 5px;
    flex-grow: 0;
    flex-shrink: 0;
}

.calc .app:hover {
    /* background: #a2f85485; */
    color: #fbff00;
    border-color: #fbff00;
    /* font-size: 15px; */
}

.calc .app.active {
    background: #a2f85485;
    color: #fbff00;
    border-color: #fbff00;
}

/* Bounce To Right */
.hvr-bounce-to-right {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    position: relative;
    -webkit-transition-property: color;
    transition-property: color;
    -webkit-transition-duration: 0.5s;
    transition-duration: 0.5s;
}

.hvr-bounce-to-right:before {
    content: "";
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #a2f85485;
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: 0 50%;
    transform-origin: 0 50%;
    -webkit-transition-property: transform;
    transition-property: transform;
    -webkit-transition-duration: 0.5s;
    transition-duration: 0.5s;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
}

.hvr-bounce-to-right:hover, .hvr-bounce-to-right:focus, .hvr-bounce-to-right:active {
    color: white;
}

.hvr-bounce-to-right:hover:before, .hvr-bounce-to-right:focus:before, .hvr-bounce-to-right:active:before {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    -webkit-transition-timing-function: cubic-bezier(0.52, 1.64, 0.37, 0.66);
    transition-timing-function: cubic-bezier(0.52, 1.64, 0.37, 0.66);
}

/* Underline From Center */
.hvr-underline-from-center {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    position: relative;
    overflow: hidden;
}

.hvr-underline-from-center:before {
    content: "";
    position: absolute;
    z-index: -1;
    left: 51%;
    right: 51%;
    bottom: 0;
    background: #a2f854;
    height: 4px;
    -webkit-transition-property: left, right;
    transition-property: left, right;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
}

.hvr-underline-from-center:hover:before, .hvr-underline-from-center:focus:before, .hvr-underline-from-center:active:before {
    left: 0;
    right: 0;
}


/* 图例 */

.legend {
    left: 22px;
    bottom: 80px;
    width: auto;
    max-width: 340px;
    min-height: 20px;
    display: none;
}

.legend > p {
    padding-bottom: 5px;
    /* font-size: 15px; */
}

.legend li {
    padding: 5px 0;
    float: left;
    min-width: 150px;
    max-width: 200px;
}

.legend .clr {
    width: 13px;
    height: 13px;
    border: 1px solid #ddd;
    background: red;
    float: left;
}

.legend .text {
    float: left;
    padding: 0 10px;
    letter-spacing: 1px;
    line-height: 1;
    font-size: 0.9em;
}

.department_header ._pre,
.department_list ._pre {
    white-space: nowrap;
}

.department_header {
    padding-top: 15px;
    display: flex;
}

.department_header ._select_list {
    display: flex;
    flex-wrap: wrap;
}

.department_header ._select_cell {
    border: 1px solid #e6e6e6;
    display: flex;
    height: 24px;
    font-size: 12px;
    align-items: center;
    padding: 0 6px;
    border-radius: 4px;
    cursor: pointer;
    margin-right: 10px;
}

.department_header ._select_cell ._close {
    font-weight: bold;
    margin-left: 10px;
    font-family: Arial, Helvetica, sans-serif;
    transform: scale(0.8);
}

.department_header ._button {
    margin-left: 30px;
    width: 50px;
    height: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 4px;
    font-size: 12px;
    background: #337ab7;
    cursor: pointer;
}

.department_list {
    padding-top: 15px;
    padding-bottom: 10px;
    display: flex;
}

.department_list ._list {
    display: flex;
    flex-wrap: wrap;
}

.department_list ._list ._cell {
    padding: 0 3px;
    background: #2f8e6770;
    cursor: pointer;
    margin-right: 6px;
    margin-bottom: 4px;
    margin-top: 3px;
    font-size: 12px;
}

.select_list_tab {
    background-color: #6666;
    padding: 2px 3px;
}

.select_close {
    font-weight: bold;
    color: #FFF5;
    padding-left: 5px;
    font-size: 14px;
    cursor: pointer;
}

.type_area {
    top: 30%;
    right: 22px;
    display: none;
}

.type_area_quick {
    top: 30%;
    right: 22px;
    width: auto;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    cursor: pointer;
    border-radius: 2px;
    color: #fbff00;
    border: 1px solid #c9cb33;
    transition: .3s;
    display: none;
}

.type_area_quick i {
    font-size: 15px;
}

.type_area_quick:hover {
    background: rgba(70, 134, 95, 1);
}

#grassTypeArea {
    width: 100%;
    height: 100%
}

.assay_index_quick i {
    font-size: 15px;
}

.assay_index_quick:hover {
    background: rgba(70, 134, 95, 1);
}

.assay_index_quick {
    top: 30%;
    right: 1%;
    width: auto;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    cursor: pointer;
    border-radius: 2px;
    color: #fbff00;
    border: 1px solid #c9cb33;
    transition: .3s;
    display: none;
}

.assay_index_quick i {
    font-size: 15px;
}

.assay_index_quick:hover {
    background: rgba(70, 134, 95, 1);
}

.assay_index_stat {
    top: 30%;
    right: 1%;
    display: none;
}

#assay_index_stat_chart {
    width: 100%;
    height: 100%
}

/* 屏幕适配 */

@media screen and (max-width: 1566px) {
    .map-panel {
        transform: scale(0.7);
    }

    .calc {
        left: -68px;
        top: -12px;
    }

    .sub_stat {
        /* width: 372px;
        top: 95px;
        left: -49px; */
        width: 391px;
        top: 250px;
        right: -46px;
    }

    .sub_stat .content {
        height: 257px;
    }

    .sanHua_stat {
        /* width: 372px;
        top: 95px;
        left: -49px; */
        width: 391px;
        top: 327px;
        right: -46px;
    }

    .sanHua_stat .content {
        height: 257px;
    }

    .legend {
        left: -43px;
        bottom: 45px;
    }

    #time_axis {
        transform: scale(0.8);
        margin-left: -677px;
        bottom: 10px;
    }

    .area {
        top: -5px;
        right: -45px;
        width: 390px;
    }

    .area .area_ul .area_name {
        width: 33.3%;
    }

    .statistics {
        width: 390px;
        top: 93px;
        right: -45px;
    }

    .map-panel.statistics > .content {
        height: 260px;
    }

    .area_stat {
        width: 380px;
        height: 265px;
        top: 103px;
        left: -50px;
    }

    .sub_area_stat {
        width: 372px;
        top: 95px;
        left: -49px;
    }

    .sub_yield_stat {
        top: 90px;
        right: -43px;
        width: 387px;
    }

    .ol-scale-line {
        left: -4px;
        bottom: 30px;
        transform: scale(0.9);
    }

    .mouse-position-wrapper {
        bottom: 0px;
        left: -4px;
        right: inherit;
        transform: scale(0.9);
    }

    #zoom_number,
    .ol-scale-line,
    .ol-control {
        display: none;
    }
}

.hideBox {
    float: right;
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 30px;
    cursor: pointer;
}

.statisticsAmount {
    position: fixed;
    left: 50%;
    padding: 10px 15px;
    transform: translateX(-50%);
    top: 20px;
    z-index: 33;
    background: rgba(23, 51, 116, .8);
    /* background: linear-gradient(185deg, rgb(3 197 189 / 70%), rgb(103 175 50 / 0.7)); */
    color: #f6f1f5;
    font-size: 15px;
    display: none;
    border: 1px solid #fbff00;
    box-shadow: 0 0 4px rgb(0, 0, 0, 0.2);
}